%define oname util-linux

%define tarname %{oname}-%{version}

%global __requires_exclude_from %{_docdir}

%define lib_blkid_major 1
%define lib_blkid %mklibname blkid %{lib_blkid_major}
%define lib_blkid_devel %mklibname blkid -d

%define lib_uuid_major 1
%define lib_uuid %mklibname uuid %{lib_uuid_major}
%define lib_uuid_devel %mklibname uuid -d

%define lib_ext2fs %mklibname ext2fs 2
%define lib_ext2fs_devel %mklibname ext2fs -d

%define lib_mount_major 1
%define lib_mount %mklibname mount %{lib_mount_major}
%define lib_mount_devel %mklibname mount -d

%define lib_smartcols_major 1
%define lib_smartcols %mklibname smartcols %{lib_smartcols_major}
%define lib_smartcols_devel %mklibname smartcols -d

%define lib_fdisk_major 1
%define lib_fdisk %mklibname fdisk %{lib_fdisk_major}
%define lib_fdisk_devel %mklibname fdisk -d

%define mtab_symlink 1

### Header
Summary:	A collection of basic system utilities
Name:		util-linux-ng
Version:	2.40.1
Release:	%mkrel 1
License:    GPLv2 and GPLv2+ and GPLv3+ and LGPLv2+ and BSD with advertising and Public Domain
Group:		System/Base
URL:		https://git.kernel.org/pub/scm/utils/util-linux/util-linux.git

### Dependences
BuildRequires:	gcc
BuildRequires:	sed
BuildRequires:	e2fsprogs-devel
BuildRequires:	gettext-devel
BuildRequires:	pam-devel
BuildRequires:	ncurses-devel
BuildRequires:	ncursesw-devel
BuildRequires:	termcap-devel
BuildRequires:	texinfo
BuildRequires:	slang-devel
BuildRequires:	zlib-devel
BuildRequires:	libaudit-devel
BuildRequires:	lib64cap-ng-devel
BuildRequires:	lib64python-devel
BuildRequires:	libtool
BuildRequires:	libuser-devel
BuildRequires:  bison
BuildRequires:  asciidoc

### Sources
Source0:	https://mirrors.edge.kernel.org/pub/linux/utils/util-linux/util-linux-%{version}.tar.xz
# based on Fedora pam files, with pam_selinux stripped out
Source1:	util-linux-login.pamd
Source2:	util-linux-remote.pamd
Source3:	util-linux-chsh-chfn.pamd
Source5:	util-linux-runuser.pamd
Source6:	util-linux-runuser-l.pamd
Source7:    rfkill.pamd
Source10:	uuidd.init
Source11:   rfkill.console.apps

Provides:	util-linux = %{version}-%{release}
Provides:	util-linux-ng = %{version}-%{release}
Provides:	eject = %{version}-%{release}
Provides:	mount = %{version}-%{release}
Provides:	losetup = %{version}-%{release}
Provides:	fdisk = %{version}-%{release}
Provides:	tunelp = %{version}-%{release}
Provides:	schedutils = %{version}-%{release}
Provides:	linux32 = %{version}-%{release}
Provides:	sparc32 = %{version}-%{release}
Provides:	setarch = %{version}-%{release}

Requires(pre):	filesystem
Requires(preun): info-install
Requires(post):	info-install
Requires(pre):	mktemp
# for /bin/awk
Requires(pre):	gawk
# for /usr/bin/cmp
Requires(pre):	diffutils
Requires(pre):	coreutils
Requires:	pam
Requires:	shadow-utils
Requires:	%{lib_blkid} = %{version}-%{release}
Requires:	%{lib_mount} = %{version}-%{release}
Requires:	%{lib_uuid} = %{version}-%{release}
Requires:	%{lib_smartcols} = %{version}-%{release}
Requires:	%{lib_fdisk} = %{version}-%{release}

Requires:	%{_lib}iso9660_7
Requires:	udev

Patch1:		2.28-login-lastlog-create.patch
Patch3:		util-linux-2.39.3-chfn-lsb-usergroups.patch
Patch4:		util-linux-2.39.3-fdisk-no-list-ramdisk.patch

Patch2000:	0001-Speed-up-agetty-waits.patch
Patch2001:	0003-Recommend-1M-topology-size-if-none-set.patch

Patch10001:	make-sure-sbin-resp-usr-sbin-are-in-PATH.diff

%description
The util-linux package contains a large variety of low-level system
utilities that are necessary for a Linux system to function.  Among
others, Util-linux contains the fdisk configuration tool and the login
program.

%package -n	%{lib_blkid}
Summary:	Block device ID library
Group:		System/Libraries
License:	LGPLv2+
Requires(pre):	filesystem

%description -n	%{lib_blkid}
This is block device identification library, part of util-linux.

%package -n	%{lib_blkid_devel}
Summary:	Block device ID library
Group:		Development/Libraries
License:	LGPLv2+
Requires:	%{lib_blkid} = %{version}-%{release}
Requires:	%{lib_uuid_devel} = %{version}
Provides:	libblkid-devel = %{version}-%{release}

%description -n	%{lib_blkid_devel}
This is the block device identification development library and headers,
part of util-linux.

%package -n	%{lib_uuid}
Summary:	Universally unique ID library
Group:		System/Libraries
License:	BSD
Requires(pre):	filesystem
Provides:   libuuid = %{version}-%{release}

%description -n	%{lib_uuid}
This is the universally unique ID library, part of e2fsprogs.

The libuuid library generates and parses 128-bit universally unique
id's (UUID's).A UUID is an identifier that is unique across both
space and time, with respect to the space of all UUIDs.  A UUID can
be used for multiple purposes, from tagging objects with an extremely
short lifetime, to reliably identifying very persistent objects
across a network.

%package -n	%{lib_uuid_devel}
Summary:	Universally unique ID library
Group:		Development/Libraries
License:	BSD
Requires:	%{lib_uuid} = %{version}
Provides:	libuuid-devel = %{version}-%{release}
Provides:	uuid-devel = %{version}-%{release}

%description -n	%{lib_uuid_devel}
This is the universally unique ID development library and headers,
part of e2fsprogs.

The libuuid library generates and parses 128-bit universally unique
id's (UUID's).A UUID is an identifier that is unique across both
space and time, with respect to the space of all UUIDs.  A UUID can
be used for multiple purposes, from tagging objects with an extremely
short lifetime, to reliably identifying very persistent objects
across a network.

%package -n	uuidd
Summary:	Helper daemon to guarantee uniqueness of time-based UUIDs
Group:		System/Servers
License:	GPLv2
Requires(pre):    rpm-helper
Requires(post):   rpm-helper
Requires(preun):  rpm-helper
Requires(postun): rpm-helper
Requires(pre):	shadow-utils

%description -n	uuidd
The uuidd package contains a userspace daemon (uuidd) which guarantees
uniqueness of time-based UUID generation even at very high rates on
SMP systems.

%package -n	python-libmount
Summary:	Python bindings for the libmount library
Group:		Development/Python

%description -n	python-libmount
The python-libmount package contains a module that permits applications
written in the Python programming language to use the interface
supplied by the libmount library to work with mount tables (fstab,
mountinfo, etc) and mount filesystems.

%package -n	%{lib_mount}
Summary:	Universal mount library
Group:		System/Libraries
License:	LGPL2+
Requires(pre):	filesystem

%description -n	%{lib_mount}
The libmount library is used to parse /etc/fstab,
/etc/mtab and /proc/self/mountinfo files,
manage the mtab file, evaluate mount options, etc.

%package -n	%{lib_mount_devel}
Summary:	Universally mount library
Group:		Development/Libraries
License:	LGPL2+
Requires:	%{lib_mount} = %{version}-%{release}
Provides:	libmount-devel = %{version}-%{release}

%description -n	%{lib_mount_devel}
Development files and headers for libmount library.

%package -n	%{lib_smartcols}
Summary:	Formatting library for ls-like programs
Group:		System/Libraries
License:	LGPL2+
Requires(pre):	filesystem

%description -n	%{lib_smartcols}
The libsmartcols library is used to format output,
for ls-like terminal programs.

%package -n	%{lib_smartcols_devel}
Summary:	Formatting library for ls-like programs
Group:		Development/Libraries
License:	LGPL2+
Requires:	%{lib_smartcols} = %{version}-%{release}
Provides:	libsmartcols-devel = %{version}-%{release}

%description -n	%{lib_smartcols_devel}
Development files and headers for libsmartcols library.

%package -n	%{lib_fdisk}
Summary:	fdisk library
Group:		System/Libraries
License:	LGPL2+
Requires(pre):	filesystem

%description -n	%{lib_fdisk}
The fdisk library.

%package -n	%{lib_fdisk_devel}
Summary:	fdiskt development library
Group:		Development/Libraries
License:	LGPL2+
Requires:	%{lib_fdisk} = %{version}-%{release}
Provides:	libfdisk-devel = %{version}-%{release}

%description -n	%{lib_fdisk_devel}
Development files and headers for fdisk library.

%package -n	rfkill
Summary:	 Simple /dev/rfkill userspace tool
Group:		System/Libraries
License:	LGPL2+

%description -n	rfkill
Rfkill is a simple userspace tool to manipulate /dev/rfkill.
It's needed to enable and disable wireless and bluetooth from
userspace beginning with 2.6.31 series kernels.

%package -n	hardlink
Summary:	Create a tree of hard links
Group:		System/Libraries
License:	LGPL2+

%description -n	hardlink
hardlink is used to create a tree of hard links.
It's used by kernel installation to dramatically reduce the
amount of diskspace used by each kernel package installed.


%prep
%setup -qn %oname-2.40.1
%autopatch -p1

#install asciidoctor if required
#gem install asciidoctor

# rebuild build system for patches
./autogen.sh

%build

export LDFLAGS="$LDFLAGS -ltinfo"

%serverbuild
unset LINGUAS || :

# CFLAGS
%define make_cflags -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64

export CONFIGURE_TOP="`pwd`"

mkdir -p system
pushd  system
export CFLAGS="%{make_cflags} %{optflags} -Os"
%configure2_5x \
	--bindir=/bin \
	--sbindir=/sbin \
	--libdir=/%{_lib} \
	--enable-partx \
	--enable-kill \
	--enable-write \
	--disable-makeinstall-chown \
	--disable-rpath \
	--disable-bfs \
	--disable-liblastlog2 \
	--with-audit \
	--enable-chfn-chsh \
	--enable-tunelp \
	--enable-asciidoc \
	--without-systemd 

# build util-linux
%make

popd

%install
rm -rf %buildroot
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_infodir}
mkdir -p %{buildroot}%{_mandir}/man{1,6,8,5}
mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_sysconfdir}/{pam.d,security/console.apps,blkid}

# install util-linux
%makeinstall_std -C system install DESTDIR=%{buildroot} MANDIR=%{buildroot}/%{_mandir} INFODIR=%{buildroot}/%{_infodir}


# Correct mail spool path.
perl -pi -e 's,/usr/spool/mail,/var/spool/mail,' %{buildroot}%{_mandir}/man1/login.1


# PAM settings
{
  pushd %{buildroot}%{_sysconfdir}/pam.d
  install -m 644 %{SOURCE1} ./login
  install -m 644 %{SOURCE2} ./remote
  install -m 644 %{SOURCE3} ./chsh
  install -m 644 %{SOURCE3} ./chfn
  install -m 644 %{SOURCE5} ./runuser
  install -m 644 %{SOURCE6} ./runuser-l
  install -m 644 %{SOURCE7} ./rfkill
  popd
}

mkdir -p %{buildroot}/%{_sysconfdir}/security/console.apps
install -m 644 %{SOURCE11} %{buildroot}/%{_sysconfdir}/security/console.apps/rfkill

ln -sf ../../sbin/hwclock %{buildroot}/usr/sbin/hwclock
ln -sf ../../sbin/clock %{buildroot}/usr/sbin/clock
ln -sf hwclock %{buildroot}/sbin/clock


# And a dirs uuidd needs that the makefiles don't create
install -D -m 755 %{SOURCE10} %{buildroot}/etc/rc.d/init.d/uuidd
install -d %{buildroot}/var/run/uuidd
install -d %{buildroot}/var/lib/libuuid
install -d %{buildroot}/var/uuidd
install -d %{buildroot}/run/uuidd

# remove libtool archives
rm -f %{buildroot}%{_libdir}/libuuid.la
rm -f %{buildroot}%{_libdir}/libblkid.la
rm -f %{buildroot}%{_libdir}/libmount.la
rm -f %{buildroot}%{_libdir}/libsmartcols.la
rm -f %{buildroot}%{_libdir}/libfdisk.la

#drop this for now
rm -f %{buildroot}%{_libdir}/libfdisk.a

# remove stuff we don't want
rm -f %{buildroot}%{_mandir}/man1/{line,newgrp,pg}.1*
rm -f %{buildroot}%{_bindir}/{line,newgrp,pg,sunhostid}

# remove static libs
rm -f %{buildroot}%{_libdir}/lib{uuid,blkid,mount,smartcols}.a

# temporary remove to avoid conflicts with bash-completion pkg
rm -f %{buildroot}%{_datadir}/bash-completion/completions/{mount,umount}

#dump this
rm -f %{buildroot}/usr/share/doc/util-linux/getopt/getopt-parse.bash
rm -f %{buildroot}/usr/share/doc/util-linux/getopt/getopt-parse.tcsh
   
# deprecated commands
for I in /sbin/mkfs.bfs \
	%{_bindir}/chkdupexe \
	%{_bindir}/scriptreplay
	do
	rm -f %{buildroot}$I
done

# deprecated man pages
for I in man1/chkdupexe.1 \
	man8/mkfs.bfs.8 man1/scriptreplay.1; do
	rm -rf %{buildroot}%{_mandir}/${I}*
done

for I in addpart delpart partx; do
	if [ -e %{buildroot}/usr/sbin/$I ]; then
		mv %{buildroot}/usr/sbin/$I %{buildroot}/sbin/$I
	fi
done


for I in taskset; do
	if [ -e %{buildroot}/usr/bin/$I ]; then
		mv %{buildroot}/usr/bin/$I %{buildroot}/bin/$I
	fi
done


for I in raw; do
	if [ -e %{buildroot}/sbin/$I ]; then
		mv %{buildroot}/sbin/$I %{buildroot}/bin/$I
	fi
done

#compatible with previous version of util-linux
mv %{buildroot}/usr/bin/ionice %{buildroot}/bin/ionice

#ppc not needed
rm -f %{buildroot}%{_sbindir}/{clock-ppc,clock-rs6k}

#These files in sysvinit-tools
rm -f %{buildroot}%{_bindir}/utmpdump
rm -f %{buildroot}/bin/mountpoint
rm -f %{buildroot}/sbin/sulogin

rm -f %{buildroot}/usr/bin/last
rm -f %{buildroot}/usr/bin/mesg
rm -f %{buildroot}/usr/bin/wall

# remove vipw and vigr, they belong in shadow-utils
rm -f %{buildroot}%{_sbindir}/{vipw,vigr} %{buildroot}%{_mandir}/man8/{vigr,vipw}.*

%find_lang util-linux

# the files section supports only one -f option...
mv util-linux.lang util-linux.files

# create list of setarch(8) symlinks
find  %{buildroot}%{_bindir}/ -regextype posix-egrep -type l \
	-regex ".*(linux32|linux64|s390|s390x|i386|ppc|ppc64|ppc32|sparc|sparc64|sparc32|sparc32bash|mips|mips64|mips32|ia64|x86_64|uname26)$" \
	-printf "%{_bindir}/%f\n" >> util-linux.files

find  %{buildroot}%{_mandir}/man8 -regextype posix-egrep  \
	-regex ".*(linux32|linux64|s390|s390x|i386|ppc|ppc64|ppc32|sparc|sparc64|sparc32|sparc32bash|mips|mips64|mips32|ia64|x86_64|uname26)\.8.*" \
	-printf "%{_mandir}/man8/%f*\n" >> util-linux.files

#rfkill
cp %{buildroot}/%{_sbindir}/rfkill %{buildroot}/sbin/rfkill
cp %{buildroot}/%{_sbindir}/rfkill %{buildroot}/%{_bindir}/rfkill
rm -f %{buildroot}/%{_sbindir}/rfkill
rm -f %{buildroot}/usr/share/bash-completion/completions/rfkill

#hardlink
cp %{buildroot}/%{_bindir}/hardlink %{buildroot}/%{_sbindir}/hardlink


%pre
rm -f %{_sysconfdir}/pam.d/chfn
rm -f %{_sysconfdir}/pam.d/chsh
rm -f %{_sysconfdir}/pam.d/login
rm -f %{_sysconfdir}/pam.d/remote
rm -f %{_sysconfdir}/pam.d/runuser
rm -f %{_sysconfdir}/pam.d/runuser-l
rm -f %{_sysconfdir}/pam.d/rfkill
	
%post
%if %{mtab_symlink}
rm -f /etc/mtab
ln -sf /proc/self/mounts /etc/mtab
%else
rm -f /etc/mtab
touch /etc/mtab
/bin/chown root:root /etc/mtab
/bin/chmod 0644 /etc/mtab
%endif
	
	
%post -n %{lib_blkid}
[ -e /etc/blkid.tab ] && mv /etc/blkid.tab /etc/blkid/blkid.tab || :
[ -e /etc/blkid.tab.old ] && mv /etc/blkid.tab.old /etc/blkid/blkid.tab.old || :

%pre -n uuidd
%_pre_useradd uuidd /var/lib/libuuid /bin/false
%_pre_groupadd uuidd uuidd

%post -n uuidd
%_post_service uuidd

%preun -n uuidd
%_preun_service uuidd

%postun -n uuidd
%_postun_userdel uuidd

%files -f util-linux.files
/bin/dmesg
/bin/findmnt
/bin/ionice
/bin/kill
%attr(755,root,root)	/bin/login
/bin/lsblk
/bin/more
%attr(4755,root,root)	/bin/mount
%attr(4755,root,root)	/bin/umount
%attr(4755,root,root)	/bin/su
/bin/taskset
/bin/wdctl
/bin/lsfd
/bin/pipesz

%{_bindir}/lastb
%{_bindir}/nsenter
%{_bindir}/setpriv
%{_bindir}/chmem
%{_bindir}/fincore
%{_bindir}/lsmem
%{_bindir}/choom
%{_bindir}/scriptlive
%{_bindir}/irqtop
%{_bindir}/lsirq
%{_bindir}/uclampset
%{_bindir}/fadvise
%{_bindir}/waitpid
%{_bindir}/waitpid

%{_datadir}/doc/util-linux/getopt-example.bash
%{_datadir}/doc/util-linux/getopt-example.tcsh

%config(noreplace) %{_sysconfdir}/pam.d/chfn
%config(noreplace) %{_sysconfdir}/pam.d/chsh
%config(noreplace) %{_sysconfdir}/pam.d/login
%config(noreplace) %{_sysconfdir}/pam.d/remote
%config(noreplace) %{_sysconfdir}/pam.d/runuser
%config(noreplace) %{_sysconfdir}/pam.d/runuser-l

/sbin/addpart
/sbin/agetty
/sbin/blkdiscard
/sbin/blkid
/sbin/blockdev
/sbin/cfdisk
/sbin/chcpu
/sbin/ctrlaltdel
/sbin/delpart
/sbin/fdisk
/sbin/findfs
/sbin/fsck
/sbin/fsck.cramfs
/sbin/fsck.minix
/sbin/fsfreeze
/sbin/fstrim
/sbin/hwclock
/sbin/losetup
/sbin/mkfs
/sbin/mkfs.cramfs
/sbin/mkfs.minix
/sbin/mkswap
/sbin/nologin
/sbin/partx
/sbin/pivot_root
/sbin/runuser
/sbin/sfdisk
/sbin/swaplabel
/sbin/swapon
/sbin/swapoff
/sbin/switch_root
/sbin/wipefs
/sbin/zramctl
/sbin/blkzone
/sbin/blkpr

%{_mandir}

#------------------
%ifnarch %no_hwclock_archs
/sbin/clock
%{_sbindir}/clock
/usr/sbin/hwclock
%endif
#------------------------
%{_bindir}/chrt
%{_bindir}/cal
%attr(4711,root,root)	%{_bindir}/chfn
%attr(4711,root,root)	%{_bindir}/chsh
%{_bindir}/col
%{_bindir}/colcrt
%{_bindir}/colrm
%{_bindir}/column
%{_bindir}/prlimit
%{_bindir}/eject
%{_bindir}/flock
%{_bindir}/fallocate
%{_bindir}/getopt
%{_bindir}/hexdump
%{_bindir}/ipcrm
%{_bindir}/ipcs
%{_bindir}/isosize
%{_bindir}/logger
%{_bindir}/look
%{_bindir}/lslocks
%{_bindir}/lslogins
%{_bindir}/lsns
%{_bindir}/mcookie
%{_bindir}/lsipc
%{_bindir}/uuidparse

%{_bindir}/namei
%{_bindir}/rename
%{_bindir}/renice
%{_bindir}/rev
%{_bindir}/script
%{_bindir}/setarch
%{_bindir}/setsid
%{_bindir}/setterm
%{_bindir}/ul
%{_bindir}/unshare
%{_bindir}/uuidgen
%{_bindir}/whereis
%{_bindir}/ipcmk
%{_bindir}/lscpu
%attr(2755,root,tty)	%{_bindir}/write

%{_bindir}/enosys
%{_bindir}/exch
%{_bindir}/lsclocks
%{_bindir}/setpgid

%{_sbindir}/readprofile
%{_sbindir}/tunelp
%{_sbindir}/rtcwake
%{_sbindir}/ldattach
%{_sbindir}/resizepart


%{_datadir}/bash-completion/completions/*
%exclude %{_datadir}/bash-completion/completions/uuidd

%files -n uuidd
%{_initrddir}/uuidd
%attr(-, uuidd, uuidd) %{_sbindir}/uuidd
%dir %attr(2775, uuidd, uuidd) /var/lib/libuuid
%{_datadir}/bash-completion/completions/uuidd
%dir %attr(2775, uuidd, uuidd) /run/uuidd
%dir %attr(2775, uuidd, uuidd) /var/run/uuidd

%files -n python-libmount
%{python_sitearch}/libmount/*

%files -n %{lib_blkid}
%dir /etc/blkid
/%{_lib}/libblkid.so.%{lib_blkid_major}*

%files -n %{lib_blkid_devel}
%{_libdir}/libblkid.so
%{_includedir}/blkid
%{_libdir}/pkgconfig/blkid.pc

%files -n %{lib_uuid}
/%{_lib}/libuuid.so.%{lib_uuid_major}*

%files -n %{lib_uuid_devel}
%{_libdir}/libuuid.so
%{_includedir}/uuid
%{_libdir}/pkgconfig/uuid.pc

%files -n %{lib_mount}
/%{_lib}/libmount.so.%{lib_mount_major}*

%files -n %{lib_mount_devel}
%{_includedir}/libmount
%{_libdir}/libmount.so
%{_libdir}/pkgconfig/mount.pc

%files -n %{lib_smartcols}
/%{_lib}/libsmartcols.so.%{lib_smartcols_major}*

%files -n %{lib_smartcols_devel}
%{_includedir}/libsmartcols
%{_libdir}/libsmartcols.so
%{_libdir}/pkgconfig/smartcols.pc

%files -n %{lib_fdisk}
/%{_lib}/libfdisk.so.%{lib_fdisk_major}*

%files -n %{lib_fdisk_devel}
%{_includedir}/libfdisk
%{_libdir}/libfdisk.so
%{_libdir}/pkgconfig/fdisk.pc

%files -n rfkill
%{_sysconfdir}/pam.d/rfkill
%{_sysconfdir}/security/console.apps/rfkill
%attr(4755,root,root) /sbin/rfkill
%attr(4755,root,root) %{_bindir}/rfkill

%files -n hardlink
%{_bindir}/hardlink
%{_sbindir}/hardlink


%changelog
* Thu May 09 2024 yodelu - 2.40.1-1pclos2024
- new version

* Sun Mar 31 2024 yodelu - 2.40-1pclos2024
- new version

* Wed Jan 03 2024 yodelu - 2.39.3-5pclos2024
- git date 03.01.2024

* Wed Dec 27 2023 yodelu - 2.39.3-4pclos2024
- git date 15.12.2023

* Wed Dec 27 2023 yodelu - 2.39.3-3pclos2023
- mtab is now a symlink to /proc/self/mounts
- build without mountfd-support

* Fri Dec 22 2023 tex - 2.39.3-2pclos2023
- revert back to 2.38.1 again!

* Thu Jun 29 2023 tex - 2.39.1-2pclos2023
- revert back to 2.38.1

* Wed Jun 28 2023 tex - 2.39.1-1pclos2023
- new version

* Mon Dec 19 2022 tex - 2.38.1-4pclos2022
- rebuild against updates

* Mon Aug 29 2022 tex - 2.38.1-3pclos2022
- drop diff.patch

* Sun Aug 28 2022 tex - 2.38.1-2pclos2022
- revert lsblk change

* Thu Aug 04 2022 tex - 2.38.1-1pclos2022
- new version

* Mon Jul 04 2022 tex - 2.38-2pclos2022
- rebuild against updates

* Thu Mar 31 2022 tex - 2.38-1pclos2022
- new version

* Tue Jan 25 2022 tex - 2.37.3-2pclos2022
- rebuild against updates

* Tue Jan 25 2022 tex - 2.37.3-1pclos2022
- new version

* Mon Aug 16 2021 tex - 2.37.2-1pclos2021
- new version

* Thu Jul 22 2021 tex - 2.37.1-1pclos2021
- new version

* Thu Jun 03 2021 tex - 2.37-2pclos2021
- add missing man pages

* Tue Jun 01 2021 tex - 2.37-1pclos2021
- new version

* Wed Mar 03 2021 tex - 2.36.2-1pclos2021
- new version

* Thu Dec 31 2020 tex - 2.36-2pclos2021
- rebuild against updates

* Fri Jul 24 2020 tex - 2.36-1pclos2020
- new version

* Thu May 21 2020 tex - 2.35.2-1pclos2020
- new version

* Tue Mar 24 2020 tex - 2.35.1-3pclos2020
- provide libuuid

* Mon Feb 17 2020 tex - 2.35.1-2pclos2020
- add glibc 2.3.1 hwclock patch

* Fri Jan 31 2020 tex - 2.35.1-1pclos2020
- new version

* Tue Jan 21 2020 tex - 2.35-1pclos2020
- new version

* Sat Dec 07 2019 tex - 2.34-3pclos2019
- fix uuidd init
- fix hardlink

* Sat Sep 28 2019 tex - 2.34-2pclos2019
- set permissions on rfkill

* Sat Jun 15 2019 tex - 2.34-1pclos2019
- new version

* Tue Apr 09 2019 tex - 2.33.2-1pclos2019
- update

* Thu Mar 07 2019 tex - 2.33.1-1pclos2019
- new

* Wed Apr 18 2018 bb2 <bb2> - 2.32-1pclos2018
- new version

* Wed Jan 31 2018 bb2 <bb2> - 2.31.1-2pclos2018
- fix uuid service 

* Sat Dec 23 2017 bb2 <bb2> - 2.31.1-1pclos2017
- new version

* Sun Nov 05 2017 bb2 <bb2> - 2.30.1-5pclos2017
- rebuild against updates

* Sun Sep 17 2017 bb2 <bb2> - 2.30.1-4pclos2017
- rebuild new gcc

* Mon Jul 31 2017 bb2 <bb2> - 2.30.1-3pclos2017
- fix tty login

* Fri Jul 28 2017 bb2 <bb2> - 2.30.1-2pclos2017
- add mtab build support option in new version
- fix su to su to su

* Thu Jul 27 2017 bb2 <bb2> - 2.30.1-1pclos2017
- new version

